net.minecraft.network.play.server

## Class S3EPacketTeams

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S3EPacketTeams

-     public class S3EPacketTeams
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S3EPacketTeams()`
    `S3EPacketTeams(ScorePlayerTeam p_i45226_1_, java.util.Collection p_i45226_2_, int p_i45226_3_)`
    `S3EPacketTeams(ScorePlayerTeam p_i45225_1_, int p_i45225_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `func_149306_d()`
    `int` | `func_149307_h()`
    `int` | `func_149308_i()`
    `java.lang.String` | `func_149309_f()`
    `java.util.Collection` | `func_149310_g()`
    `java.lang.String` | `func_149311_e()`
    `java.lang.String` | `func_149312_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149313_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S3EPacketTeams

          public S3EPacketTeams()

    - #### S3EPacketTeams

          public S3EPacketTeams(ScorePlayerTeam p_i45225_1_,
                        int p_i45225_2_)

    - #### S3EPacketTeams

          public S3EPacketTeams(ScorePlayerTeam p_i45226_1_,
                        java.util.Collection p_i45226_2_,
                        int p_i45226_3_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149313_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149312_c

          public java.lang.String func_149312_c()

    - #### func_149306_d

          public java.lang.String func_149306_d()

    - #### func_149311_e

          public java.lang.String func_149311_e()

    - #### func_149309_f

          public java.lang.String func_149309_f()

    - #### func_149310_g

          public java.util.Collection func_149310_g()

    - #### func_149307_h

          public int func_149307_h()

    - #### func_149308_i

          public int func_149308_i()